# $Revision: 1.21 $, $Date: 2004/08/08 18:50:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	Stem
Summary:	Lingua::Stem Perl module - stemming of words
Summary(pl):	Modu Perla Lingua::Stem - okrelanie rdzeni sw
Name:		perl-Lingua-Stem
Version:	0.81
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	94d85dc2fd40db4483e3bff9206d8cad
%if %{with tests}
BuildRequires:	perl-Lingua-GL-Stemmer
BuildRequires:	perl-Lingua-PT-Stemmer
BuildRequires:	perl-Lingua-Stem-Fr >= 0.02
BuildRequires:	perl-Lingua-Stem-It
BuildRequires:	perl-Lingua-Stem-Snowball-Da >= 1.01
BuildRequires:	perl-Lingua-Stem-Snowball-No >= 1.00
BuildRequires:	perl-Lingua-Stem-Snowball-Se >= 1.01
BuildRequires:	perl-Text-German
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This routine applies stemming algorithms to its parameters, returning
the stemmed words as appropriate to the selected locale.

%description -l pl
Ta funkcja wykonuje na swoich parametrach algorytmy okrelajce
rdzenie sw, zwracajc rdzenie sw waciwe dla ustawionej
lokalizacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-Stem.spec,v $
Revision 1.21  2004/08/08 18:50:20  adamg
- updated to 0.81

Revision 1.20  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.19  2004/05/06 18:20:29  ankry
- fixed perl-devel BR

Revision 1.18  2004/05/02 07:41:39  adamg
- BuildRequires: perl-Lingua-Stem-Fr
- more specific BuildRequires

Revision 1.17  2004/05/02 07:38:47  adamg
- updated to 0.70

Revision 1.16  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.15  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.14  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.13  2004/04/14 20:54:13  ankry
- cosmetics, unification

Revision 1.12  2004/03/06 19:39:56  adamg
- updated to 0.61

Revision 1.11  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/12 11:36:34  qboosh
- up to 0.60, BRs for tests, cosmetics (from RA-branch), release 2

Revision 1.8  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:14  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:25  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/14 23:39:26  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
